GDAL-RASTER-ASPECT(1)

NAME
gdal-raster-aspect - Generate an aspect map

Added in version 3.11.

SYNOPSIS

            Usage: gdal raster aspect [OPTIONS] <INPUT> <OUTPUT>

            Generate an aspect map

            Positional arguments:
              -i, --input <INPUT>                                  Input raster datasets [required] [not available in pipelines]
              -o, --output <OUTPUT>                                Output raster dataset [required] [not available in pipelines]

            Common Options:
              -h, --help                                           Display help message and exit
              --json-usage                                         Display usage as JSON document and exit
              --config <KEY>=<VALUE>                               Configuration option [may be repeated]
              -q, --quiet                                          Quiet mode (no progress bar or warning message) [not available in pipelines]

            Options:
              -f, --of, --format, --output-format <OUTPUT-FORMAT>  Output format ("GDALG" allowed) [not available in pipelines]
              --co, --creation-option <KEY>=<VALUE>                Creation option [may be repeated] [not available in pipelines]
              --overwrite                                          Whether overwriting existing output dataset is allowed [not available in pipelines]
                                                                   Mutually exclusive with --append
              --append                                             Append as a subdataset to existing output [not available in pipelines]
                                                                   Mutually exclusive with --overwrite
              -b, --band <BAND>                                    Input band (1-based index) (default: 1)
              --convention <CONVENTION>                            Convention for output angles. CONVENTION=azimuth|trigonometric-angle (default: azimuth)
              --gradient-alg <GRADIENT-ALG>                        Algorithm used to compute terrain gradient. GRADIENT-ALG=Horn|ZevenbergenThorne (default: Horn)
              --zero-for-flat                                      Whether to output zero for flat areas
              --no-edges                                           Do not try to interpolate values at dataset edges or close to nodata values

            Advanced Options:
              --if, --input-format <INPUT-FORMAT>                  Input formats [may be repeated] [not available in pipelines]
              --oo, --open-option <KEY>=<VALUE>                    Open options [may be repeated] [not available in pipelines]

DESCRIPTION

gdal raster aspect generates an aspect map, from any GDAL-supported elevation raster.

This subcommand is also available as a potential step of gdal raster pipeline

It outputs a 32-bit float raster with values between 0° and 360° representing the azimuth that slopes are facing. The definition of the azimuth is such that: - 0° means that the slope is facing the North, - 90° it's facing the East, - 180° it's facing the South - and 270° it's facing the West (provided that the top of your input raster is north oriented).

The aspect value -9999 is used as the nodata value to indicate undefined aspect in flat areas with slope=0.

A nodata value in the target dataset will also be emitted if at least one pixel set to the nodata value is found in the 3x3 window centered around each source pixel. By default, the algorithm will compute values at image edges or if a nodata value is found in the 3x3 window, by interpolating missing values, unless --no-edges is specified, in which case a 1-pixel border around the image will be set with the nodata value.

GDALG OUTPUT (ON-THE-FLY / STREAMED DATASET)

This program supports serializing the command line as a JSON file using the GDALG output format. The resulting file can then be opened as a raster dataset using the GDALG: GDAL Streamed Algorithm driver, and apply the specified pipeline in a on-the-fly / streamed way.

PROGRAM-SPECIFIC OPTIONS

    -b, --band <BAND>
        Index (starting at 1) of the band to which the aspect must be computed.

    --convention azimuth|trigonometric-angle
        Convention for output angles.

        Defaults to azimuth, that is to say: - 0° means that the slope is facing the North, - 90° it's facing the East, - 180° it's facing the South - and 270° it's facing the West (provided that the top of your input raster is north oriented).

        If set to trigonometric-angle, - 0° means that the slope is facing the East, - 90° it's facing the North, - 180° it's facing the West - and 270° it's facing the South

    --gradient-alg Horn|ZevenbergenThorne
        Algorithm used to compute terrain gradient. The default is Horn. The literature suggests Zevenbergen & Thorne to be more suited to smooth landscapes, whereas Horn's formula to perform better on rougher terrain.

    --no-edges
        Do not try to interpolate values at dataset edges or close to nodata values

    --zero-for-flat
        Whether to output zero for flat areas. By default, flat areas where the slope is null will be assigned a nodata value (-9999). When setting this option, they are set to 0.

STANDARD OPTIONS

    --append
        Append input raster as a new subdataset to an existing output file. Only works with drivers that support adding subdatasets such as GTiff -- GeoTIFF File Format and GPKG -- GeoPackage raster This also creates the output dataset if it does not exist yet.

    --co, --creation-option <NAME>=<VALUE>
        Many formats have one or more optional creation options that can be used to control particulars about the file created. For instance, the GeoTIFF driver supports creation options to control compression, and whether the file should be tiled.

        May be repeated.

        The creation options available vary by format driver, and some simple formats have no creation options at all. A list of options supported for a format can be listed with the --formats command line option but the documentation for the format is the definitive source of information on driver creation options. See Raster drivers format specific documentation for legal creation options for each format.

    --if, --input-format <format>
        Format/driver name to be attempted to open the input file(s). It is generally not necessary to specify it, but it can be used to skip automatic driver detection, when it fails to select the appropriate driver. This option can be repeated several times to specify several candidate drivers. Note that it does not force those drivers to open the dataset. In particular, some drivers have requirements on file extensions.

        May be repeated.

    --oo, --open-option <NAME>=<VALUE>
        Dataset open option (format specific).

        May be repeated.

    -f, --of, --format, --output-format <OUTPUT-FORMAT>
        Which output raster format to use. Allowed values may be given by gdal --formats | grep raster | grep rw | sort

    --overwrite
        Allow program to overwrite existing target file or dataset. Otherwise, by default, gdal errors out if the target file or dataset already exists.

RETURN STATUS CODE

The program returns status code 0 in case of success, and non-zero in case of error (non-blocking errors emitted as warnings are considered as a successful execution).

EXAMPLES

  Example 1: Generates an aspect map from a DTED0 file.

            $ gdal raster aspect n43.dt0 out.tif --overwrite

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2026